/* crc.h
 *
 * Class encapsulating lots of old Zmodem code for CRC16 and CRC32
 *
 * (C) 2000 empeg ltd, http://www.empeg.com
 *
 * This software is licensed under the GNU General Public Licence (see file
 * COPYING), unless you possess an alternative written licence from empeg ltd.
 *
 * $Header: /home/empeg/CVS/empeg/lib/protocol/crc.h,v 1.2 2000/07/19 14:36:30 peter Exp $
 */

#ifndef _CRC_H
#define _CRC_H

class CRC
{
 public:
	CRC() {};
	~CRC() {};

	// Make both flavours of CRC of a buffer
	static unsigned short CRC16(unsigned char *buffer,int length);
	static unsigned long CRC32(unsigned char *buffer,int length);

	// Update CRC with a block of data
	static unsigned long CRC32(unsigned long crc, unsigned char *buffer, int length);

 private:
	static const unsigned short crc16tab[];
	static const unsigned long crc32tab[];
};

#endif
