#ifndef DEFINES_H
#define DEFINES_H

#define UPGRADERVERSION	2

#define CHUNK_INFO		0x00
#define CHUNK_WHAT		0x01
#define CHUNK_RELEASE	0x02
#define CHUNK_VERSION	0x03
#define CHUNK_HWREV		0x04

#define CHUNK_FLASHLOADER	0x10
#define CHUNK_FLASHKERNEL	0x11
#define CHUNK_FLASHRAMDISK	0x12
#define	CHUNK_FLASHRANDOM	0x13

#define CHUNK_PUMPHDA	0x20
#define CHUNK_PUMPHDA1	0x21
#define CHUNK_PUMPHDA2  0x22
#define CHUNK_PUMPHDA3	0x23
#define CHUNK_PUMPHDA4	0x24
#define CHUNK_PUMPHDA5	0x25
#define CHUNK_PUMPHDA6	0x26
#define CHUNK_PUMPHDA7	0x27
#define CHUNK_PUMPHDA8	0x28

#define CHUNK_PUMPHDB	0x30
#define CHUNK_PUMPHDB1	0x31
#define CHUNK_PUMPHDB2  0x32
#define CHUNK_PUMPHDB3	0x33
#define CHUNK_PUMPHDB4	0x34
#define CHUNK_PUMPHDB5	0x35
#define CHUNK_PUMPHDB6	0x36
#define CHUNK_PUMPHDB7	0x37
#define CHUNK_PUMPHDB8	0x38

#define CHUNK_PUMPHDC	0x40
#define CHUNK_PUMPHDC1	0x41
#define CHUNK_PUMPHDC2  0x42
#define CHUNK_PUMPHDC3	0x43
#define CHUNK_PUMPHDC4	0x44
#define CHUNK_PUMPHDC5	0x45
#define CHUNK_PUMPHDC6	0x46
#define CHUNK_PUMPHDC7	0x47
#define CHUNK_PUMPHDC8	0x48

#define CHUNK_UPGRADERVERSION	0xFF

#define UB_NO_ERR		0	// no error
#define UB_ARG_ERR		1	// commandline argument error
#define UB_IC_ERR		2	// error while initializing config structure
#define UB_CFG_ERR		3	// config file format/reading error
#define UB_CHK_ERR		4	// error while checking config for consistancy
#define UB_TWF_ERR		5	// temporary header write error
#define UB_TWC_ERR		6	// temporary chunks writing error
#define UB_HELP_SHOWN	7	// not exactly an error, but nothing will be done if help was printed

#endif

